/*******************************************************************************
* File Name: LCD_Char_SCA_PM.c
* Version 1.50
*
* Description:
*  This file provides the API source code for the Static Segment LCD component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "LCD_Char_SCA.h"


void LCD_Char_SCA_SaveConfig(void) ;
void LCD_Char_SCA_RestoreConfig(void) ;
extern void LCD_Char_SCA_Enable(void);

static LCD_Char_SCA_BACKUP_STRUCT LCD_Char_SCA_backup;

extern uint8 LCD_Char_SCA_enableState;


/*******************************************************************************
* Function Name: LCD_Char_SCA_SaveConfig
********************************************************************************
*
* Summary:
*  Does nothing, provided for consistency.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void LCD_Char_SCA_SaveConfig(void)
{
}


/*******************************************************************************
* Function Name: LCD_Char_SCA_RestoreConfig
********************************************************************************
*
* Summary:
*  Does nothing, provided for consistency.
*  
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void LCD_Char_SCA_RestoreConfig(void) 
{
}


/*******************************************************************************
* Function Name: LCD_Char_SCA_Sleep
********************************************************************************
*
* Summary:
*  Prepares component for entering the sleep mode.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
* Reentrant:
*  No.
*
*******************************************************************************/
void LCD_Char_SCA_Sleep(void)
{
    LCD_Char_SCA_backup.enableState = LCD_Char_SCA_enableState;
    LCD_Char_SCA_SaveConfig();
    LCD_Char_SCA_Stop();
}


/*******************************************************************************
* Function Name: LCD_Char_SCA_Wakeup
********************************************************************************
*
* Summary:
*  Wakes component from sleep mode. Configures DMA and enables the component for
*  normal operation.
*
* Parameters:
*  LCD_Char_SCA_enableState - Global variable.
*
* Return:
*  Status one of standard status for PSoC3 Component
*       CYRET_SUCCESS - Function completed successfully.
*       CYRET_LOCKED - The object was locked, already in use. Some of TDs or
*                      a channel already in use.
*
* Reentrant:
*  No.
*
*******************************************************************************/
void LCD_Char_SCA_Wakeup(void)
{
    LCD_Char_SCA_RestoreConfig();
    
    if(LCD_Char_SCA_backup.enableState == 1u)
    {
        LCD_Char_SCA_Enable();
    }
}


/* [] END OF FILE */
