/*******************************************************************************
* File Name: Signal_input_S2.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Signal_input_S2_H) /* Pins Signal_input_S2_H */
#define CY_PINS_Signal_input_S2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Signal_input_S2_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Signal_input_S2_Write(uint8 value) ;
void    Signal_input_S2_SetDriveMode(uint8 mode) ;
uint8   Signal_input_S2_ReadDataReg(void) ;
uint8   Signal_input_S2_Read(void) ;
uint8   Signal_input_S2_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Signal_input_S2_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Signal_input_S2_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Signal_input_S2_DM_RES_UP          PIN_DM_RES_UP
#define Signal_input_S2_DM_RES_DWN         PIN_DM_RES_DWN
#define Signal_input_S2_DM_OD_LO           PIN_DM_OD_LO
#define Signal_input_S2_DM_OD_HI           PIN_DM_OD_HI
#define Signal_input_S2_DM_STRONG          PIN_DM_STRONG
#define Signal_input_S2_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Signal_input_S2_MASK               Signal_input_S2__MASK
#define Signal_input_S2_SHIFT              Signal_input_S2__SHIFT
#define Signal_input_S2_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Signal_input_S2_PS                     (* (reg8 *) Signal_input_S2__PS)
/* Data Register */
#define Signal_input_S2_DR                     (* (reg8 *) Signal_input_S2__DR)
/* Port Number */
#define Signal_input_S2_PRT_NUM                (* (reg8 *) Signal_input_S2__PRT) 
/* Connect to Analog Globals */                                                  
#define Signal_input_S2_AG                     (* (reg8 *) Signal_input_S2__AG)                       
/* Analog MUX bux enable */
#define Signal_input_S2_AMUX                   (* (reg8 *) Signal_input_S2__AMUX) 
/* Bidirectional Enable */                                                        
#define Signal_input_S2_BIE                    (* (reg8 *) Signal_input_S2__BIE)
/* Bit-mask for Aliased Register Access */
#define Signal_input_S2_BIT_MASK               (* (reg8 *) Signal_input_S2__BIT_MASK)
/* Bypass Enable */
#define Signal_input_S2_BYP                    (* (reg8 *) Signal_input_S2__BYP)
/* Port wide control signals */                                                   
#define Signal_input_S2_CTL                    (* (reg8 *) Signal_input_S2__CTL)
/* Drive Modes */
#define Signal_input_S2_DM0                    (* (reg8 *) Signal_input_S2__DM0) 
#define Signal_input_S2_DM1                    (* (reg8 *) Signal_input_S2__DM1)
#define Signal_input_S2_DM2                    (* (reg8 *) Signal_input_S2__DM2) 
/* Input Buffer Disable Override */
#define Signal_input_S2_INP_DIS                (* (reg8 *) Signal_input_S2__INP_DIS)
/* LCD Common or Segment Drive */
#define Signal_input_S2_LCD_COM_SEG            (* (reg8 *) Signal_input_S2__LCD_COM_SEG)
/* Enable Segment LCD */
#define Signal_input_S2_LCD_EN                 (* (reg8 *) Signal_input_S2__LCD_EN)
/* Slew Rate Control */
#define Signal_input_S2_SLW                    (* (reg8 *) Signal_input_S2__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Signal_input_S2_PRTDSI__CAPS_SEL       (* (reg8 *) Signal_input_S2__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Signal_input_S2_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Signal_input_S2__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Signal_input_S2_PRTDSI__OE_SEL0        (* (reg8 *) Signal_input_S2__PRTDSI__OE_SEL0) 
#define Signal_input_S2_PRTDSI__OE_SEL1        (* (reg8 *) Signal_input_S2__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Signal_input_S2_PRTDSI__OUT_SEL0       (* (reg8 *) Signal_input_S2__PRTDSI__OUT_SEL0) 
#define Signal_input_S2_PRTDSI__OUT_SEL1       (* (reg8 *) Signal_input_S2__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Signal_input_S2_PRTDSI__SYNC_OUT       (* (reg8 *) Signal_input_S2__PRTDSI__SYNC_OUT) 


#if defined(Signal_input_S2__INTSTAT)  /* Interrupt Registers */

    #define Signal_input_S2_INTSTAT                (* (reg8 *) Signal_input_S2__INTSTAT)
    #define Signal_input_S2_SNAP                   (* (reg8 *) Signal_input_S2__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Signal_input_S2_H */


/* [] END OF FILE */
