/*******************************************************************************
* File Name: capture_intr_1_S1.c  
* Version 1.70
*
*  Description:
*   API for controlling the state of an interrupt.
*
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include <cydevice_trm.h>
#include <CyLib.h>
#include <capture_intr_1_S1.h>

#if !defined(capture_intr_1_S1__REMOVED) /* Check for removal by optimization */

/*******************************************************************************
*  Place your includes, defines and code here 
********************************************************************************/
/* `#START capture_intr_1_S1_intc` */
#include "Counter_SCA_1_S1.h"
uint8 status_flag_1_S1;
/* `#END` */


/*******************************************************************************
* Function Name: capture_intr_1_S1_Start
********************************************************************************
*
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   None
*
* Return:
*   None
*
*******************************************************************************/
void capture_intr_1_S1_Start(void) 
{
    /* For all we know the interrupt is active. */
    capture_intr_1_S1_Disable();

    /* Set the ISR to point to the capture_intr_1_S1 Interrupt. */
    capture_intr_1_S1_SetVector(&capture_intr_1_S1_Interrupt);

    /* Set the priority. */
    capture_intr_1_S1_SetPriority((uint8)capture_intr_1_S1_INTC_PRIOR_NUMBER);

    /* Enable it. */
    capture_intr_1_S1_Enable();
}


/*******************************************************************************
* Function Name: capture_intr_1_S1_StartEx
********************************************************************************
*
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   address: Address of the ISR to set in the interrupt vector table.
*
* Return:
*   None
*
*******************************************************************************/
void capture_intr_1_S1_StartEx(cyisraddress address) 
{
    /* For all we know the interrupt is active. */
    capture_intr_1_S1_Disable();

    /* Set the ISR to point to the capture_intr_1_S1 Interrupt. */
    capture_intr_1_S1_SetVector(address);

    /* Set the priority. */
    capture_intr_1_S1_SetPriority((uint8)capture_intr_1_S1_INTC_PRIOR_NUMBER);

    /* Enable it. */
    capture_intr_1_S1_Enable();
}


/*******************************************************************************
* Function Name: capture_intr_1_S1_Stop
********************************************************************************
*
* Summary:
*   Disables and removes the interrupt.
*
* Parameters:  
*   None
*
* Return:
*   None
*
*******************************************************************************/
void capture_intr_1_S1_Stop(void) 
{
    /* Disable this interrupt. */
    capture_intr_1_S1_Disable();
}


/*******************************************************************************
* Function Name: capture_intr_1_S1_Interrupt
********************************************************************************
* Summary:
*   The default Interrupt Service Routine for capture_intr_1_S1.
*
*   Add custom code between the coments to keep the next version of this file
*   from over writting your code.
*
* Parameters:  
*   None
*
* Return:
*   None
*
*******************************************************************************/
CY_ISR(capture_intr_1_S1_Interrupt)
{
    /*  Place your Interrupt code here. */
    /* `#START capture_intr_1_S1_Interrupt` */
	
	Counter_SCA_1_S1_ReadStatusRegister();
	
	status_flag_1_S1 = 1;
	
	

    /* `#END` */

    /* PSoC3 ES1, ES2 RTC ISR PATCH  */ 
    #if(CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC3)
        #if((CYDEV_CHIP_REVISION_USED <= CYDEV_CHIP_REVISION_3A_ES2) && (capture_intr_1_S1__ES2_PATCH ))      
            capture_intr_1_S1_ISR_PATCH();
        #endif /* CYDEV_CHIP_REVISION_USED */
    #endif /* (CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC3) */
}


/*******************************************************************************
* Function Name: capture_intr_1_S1_SetVector
********************************************************************************
*
* Summary:
*   Change the ISR vector for the Interrupt. Note calling capture_intr_1_S1_Start
*   will override any effect this method would have had. To set the vector 
*   before the component has been started use capture_intr_1_S1_StartEx instead.
*
* Parameters:
*   address: Address of the ISR to set in the interrupt vector table.
*
* Return:
*   None
*
*******************************************************************************/
void capture_intr_1_S1_SetVector(cyisraddress address) 
{
    CY_SET_REG16(capture_intr_1_S1_INTC_VECTOR, (uint16) address);
}


/*******************************************************************************
* Function Name: capture_intr_1_S1_GetVector
********************************************************************************
*
* Summary:
*   Gets the "address" of the current ISR vector for the Interrupt.
*
* Parameters:
*   None
*
* Return:
*   Address of the ISR in the interrupt vector table.
*
*******************************************************************************/
cyisraddress capture_intr_1_S1_GetVector(void) 
{
    return (cyisraddress) CY_GET_REG16(capture_intr_1_S1_INTC_VECTOR);
}


/*******************************************************************************
* Function Name: capture_intr_1_S1_SetPriority
********************************************************************************
*
* Summary:
*   Sets the Priority of the Interrupt. Note calling capture_intr_1_S1_Start
*   or capture_intr_1_S1_StartEx will override any effect this method would 
*   have had. This method should only be called after capture_intr_1_S1_Start or 
*   capture_intr_1_S1_StartEx has been called. To set the initial
*   priority for the component use the cydwr file in the tool.
*
* Parameters:
*   priority: Priority of the interrupt. 0 - 7, 0 being the highest.
*
* Return:
*   None
*
*******************************************************************************/
void capture_intr_1_S1_SetPriority(uint8 priority) 
{
    *capture_intr_1_S1_INTC_PRIOR = priority << 5;
}


/*******************************************************************************
* Function Name: capture_intr_1_S1_GetPriority
********************************************************************************
*
* Summary:
*   Gets the Priority of the Interrupt.
*
* Parameters:
*   None
*
* Return:
*   Priority of the interrupt. 0 - 7, 0 being the highest.
*
*******************************************************************************/
uint8 capture_intr_1_S1_GetPriority(void) 
{
    uint8 priority;


    priority = *capture_intr_1_S1_INTC_PRIOR >> 5;

    return priority;
}


/*******************************************************************************
* Function Name: capture_intr_1_S1_Enable
********************************************************************************
*
* Summary:
*   Enables the interrupt.
*
* Parameters:
*   None
*
* Return:
*   None
*
*******************************************************************************/
void capture_intr_1_S1_Enable(void) 
{
    /* Enable the general interrupt. */
    *capture_intr_1_S1_INTC_SET_EN = capture_intr_1_S1__INTC_MASK;
}


/*******************************************************************************
* Function Name: capture_intr_1_S1_GetState
********************************************************************************
*
* Summary:
*   Gets the state (enabled, disabled) of the Interrupt.
*
* Parameters:
*   None
*
* Return:
*   1 if enabled, 0 if disabled.
*
*******************************************************************************/
uint8 capture_intr_1_S1_GetState(void) 
{
    /* Get the state of the general interrupt. */
    return ((*capture_intr_1_S1_INTC_SET_EN & (uint8)capture_intr_1_S1__INTC_MASK) != 0u) ? 1u:0u;
}


/*******************************************************************************
* Function Name: capture_intr_1_S1_Disable
********************************************************************************
*
* Summary:
*   Disables the Interrupt.
*
* Parameters:
*   None
*
* Return:
*   None
*
*******************************************************************************/
void capture_intr_1_S1_Disable(void) 
{
    /* Disable the general interrupt. */
    *capture_intr_1_S1_INTC_CLR_EN = capture_intr_1_S1__INTC_MASK;
}


/*******************************************************************************
* Function Name: capture_intr_1_S1_SetPending
********************************************************************************
*
* Summary:
*   Causes the Interrupt to enter the pending state, a software method of
*   generating the interrupt.
*
* Parameters:
*   None
*
* Return:
*   None
*
*******************************************************************************/
void capture_intr_1_S1_SetPending(void) 
{
    *capture_intr_1_S1_INTC_SET_PD = capture_intr_1_S1__INTC_MASK;
}


/*******************************************************************************
* Function Name: capture_intr_1_S1_ClearPending
********************************************************************************
*
* Summary:
*   Clears a pending interrupt.
*
* Parameters:
*   None
*
* Return:
*   None
*
*******************************************************************************/
void capture_intr_1_S1_ClearPending(void) 
{
    *capture_intr_1_S1_INTC_CLR_PD = capture_intr_1_S1__INTC_MASK;
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
