/*******************************************************************************
* File Name: capture_intr_3.c  
* Version 1.50
*
*  Description:
*   API for controlling the state of an interrupt.
*
*
*  Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/


#include <CYDEVICE.H>
#include <CYDEVICE_TRM.H>
#include <CYLIB.H>
#include <capture_intr_3.H>


/*******************************************************************************
*  Place your includes, defines and code here 
********************************************************************************/
/* `#START capture_intr_3_intc` */

/* `#END` */


/*******************************************************************************
* Function Name: capture_intr_3_Start
********************************************************************************
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   void.
*
*
* Return:
*   void.
*
*******************************************************************************/
void capture_intr_3_Start(void)
{
    /* For all we know the interrupt is active. */
    capture_intr_3_Disable();

    /* Set the ISR to point to the capture_intr_3 Interrupt. */
    capture_intr_3_SetVector(capture_intr_3_Interrupt);

    /* Set the priority. */
    capture_intr_3_SetPriority(capture_intr_3_INTC_PRIOR_NUMBER);

    /* Enable it. */
    capture_intr_3_Enable();
}

/*******************************************************************************
* Function Name: capture_intr_3_StartEx
********************************************************************************
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   address: Address of the ISR to set in the interrupt vector table.
*
*
* Return:
*   void.
*
*******************************************************************************/
void capture_intr_3_StartEx(cyisraddress address)
{
    /* For all we know the interrupt is active. */
    capture_intr_3_Disable();

    /* Set the ISR to point to the capture_intr_3 Interrupt. */
    capture_intr_3_SetVector(address);

    /* Set the priority. */
    capture_intr_3_SetPriority(capture_intr_3_INTC_PRIOR_NUMBER);

    /* Enable it. */
    capture_intr_3_Enable();
}

/*******************************************************************************
* Function Name: capture_intr_3_Stop
********************************************************************************
* Summary:
*   Disables and removes the interrupt.
*
* Parameters:  
*
*
* Return:
*   void.
*
*******************************************************************************/
void capture_intr_3_Stop(void) 
{
    /* Disable this interrupt. */
    capture_intr_3_Disable();
}

/*******************************************************************************
* Function Name: capture_intr_3_Interrupt
********************************************************************************
* Summary:
*   The default Interrupt Service Routine for capture_intr_3.
*
*   Add custom code between the coments to keep the next version of this file
*   from over writting your code.
*
*
*
* Parameters:  
*
*
* Return:
*   void.
*
*******************************************************************************/
CY_ISR(capture_intr_3_Interrupt)
{
    /*  Place your Interrupt code here. */
    /* `#START capture_intr_3_Interrupt` */

    /* `#END` */

    /* PSoC3 ES1, ES2 RTC ISR PATCH  */ 
    #if(CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC3)
        #if((CYDEV_CHIP_REVISION_USED <= CYDEV_CHIP_REVISION_3A_ES2) && (capture_intr_3__ES2_PATCH ))      
            capture_intr_3_ISR_PATCH();
        #endif
    #endif
}

/*******************************************************************************
* Function Name: capture_intr_3_SetVector
********************************************************************************
* Summary:
*   Change the ISR vector for the Interrupt. Note calling capture_intr_3_Start
*   will override any effect this method would have had. To set the vector before
*   the component has been started use capture_intr_3_StartEx instead.
*
*
* Parameters:
*   address: Address of the ISR to set in the interrupt vector table.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void capture_intr_3_SetVector(cyisraddress address) 
{
    CY_SET_REG16(capture_intr_3_INTC_VECTOR, (uint16) address);
}

/*******************************************************************************
* Function Name: capture_intr_3_GetVector
********************************************************************************
* Summary:
*   Gets the "address" of the current ISR vector for the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   Address of the ISR in the interrupt vector table.
*
*
*******************************************************************************/
cyisraddress capture_intr_3_GetVector(void) 
{
    return (cyisraddress) CY_GET_REG16(capture_intr_3_INTC_VECTOR);
}

/*******************************************************************************
* Function Name: capture_intr_3_SetPriority
********************************************************************************
* Summary:
*   Sets the Priority of the Interrupt. Note calling capture_intr_3_Start
*   or capture_intr_3_StartEx will override any effect this method would have had. 
*	This method should only be called after capture_intr_3_Start or 
*	capture_intr_3_StartEx has been called. To set the initial
*	priority for the component use the cydwr file in the tool.
*
*
* Parameters:
*   priority: Priority of the interrupt. 0 - 7, 0 being the highest.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void capture_intr_3_SetPriority(uint8 priority) 
{
    *capture_intr_3_INTC_PRIOR = priority << 5;
}

/*******************************************************************************
* Function Name: capture_intr_3_GetPriority
********************************************************************************
* Summary:
*   Gets the Priority of the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   Priority of the interrupt. 0 - 7, 0 being the highest.
*
*
*******************************************************************************/
uint8 capture_intr_3_GetPriority(void) 
{
    uint8 priority;


    priority = *capture_intr_3_INTC_PRIOR >> 5;

    return priority;
}

/*******************************************************************************
* Function Name: capture_intr_3_Enable
********************************************************************************
* Summary:
*   Enables the interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void capture_intr_3_Enable(void) 
{
    /* Enable the general interrupt. */
    *capture_intr_3_INTC_SET_EN = capture_intr_3__INTC_MASK;
}

/*******************************************************************************
* Function Name: capture_intr_3_GetState
********************************************************************************
* Summary:
*   Gets the state (enabled, disabled) of the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   1 if enabled, 0 if disabled.
*
*
*******************************************************************************/
uint8 capture_intr_3_GetState(void) 
{
    /* Get the state of the general interrupt. */
    return (*capture_intr_3_INTC_SET_EN & capture_intr_3__INTC_MASK) ? 1:0;
}

/*******************************************************************************
* Function Name: capture_intr_3_Disable
********************************************************************************
* Summary:
*   Disables the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void capture_intr_3_Disable(void) 
{
    /* Disable the general interrupt. */
    *capture_intr_3_INTC_CLR_EN = capture_intr_3__INTC_MASK;
}

/*******************************************************************************
* Function Name: capture_intr_3_SetPending
********************************************************************************
* Summary:
*   Causes the Interrupt to enter the pending state, a software method of
*   generating the interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void capture_intr_3_SetPending(void) 
{
    *capture_intr_3_INTC_SET_PD = capture_intr_3__INTC_MASK;
}

/*******************************************************************************
* Function Name: capture_intr_3_ClearPending
********************************************************************************
* Summary:
*   Clears a pending interrupt.
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void capture_intr_3_ClearPending(void) 
{
    *capture_intr_3_INTC_CLR_PD = capture_intr_3__INTC_MASK;
}
